setblock ~ 255 ~ shulker_box

item replace block ~ 255 ~ container.0 from entity @s weapon.mainhand
item modify block ~ 255 ~ container.0 clgd.cauldron:limit_count_16
item modify block ~ 255 ~ container.0 clgd.cauldron:convert_arrows

execute at @s run playsound minecraft:entity.generic.splash block @s
item modify entity @s weapon.mainhand clgd.cauldron:remove_sixteen

#Get water level
scoreboard players operation $WaterLevel clgd.cauldron = @n[type=item_display,tag=clgd.cauldron] clgd.cauldron.level

#Set constant
scoreboard players set #8 clgd.cauldron 8

#If cauldron level is 1, all effects get added to potion
execute if score $WaterLevel clgd.cauldron matches 1 run data modify block ~ 255 ~ Items[0].components."minecraft:potion_contents".custom_effects set from storage clgd.cauldron:data CustomEffects

#Copy effects to potion
data modify storage clgd.cauldron:data Effects set value []
execute unless score $WaterLevel clgd.cauldron matches 1 run function clgd.cauldron:interact/potion_cauldron/tip_arrows_loop
data modify storage clgd.cauldron:data CustomEffects set from storage clgd.cauldron:data Effects

#Copy remaining effects back to item display
#(this will be deleted if the cauldron is emptied)
data modify entity @n[type=item_display,tag=clgd.cauldron] item.components."minecraft:potion_contents".custom_effects set from storage clgd.cauldron:data CustomEffects


execute unless items entity @s weapon.mainhand arrow run item replace entity @s weapon.mainhand from block ~ 255 ~ container.0
execute if items entity @s weapon.mainhand arrow run loot give @s mine ~ 255 ~ stick[minecraft:custom_data={drop_contents:true}]

setblock ~ 255 ~ air


function clgd.cauldron:interact/util/decrease_water_level


